#!/usr/bin/env python

'''
sjRpc client example.
'''

from __future__ import absolute_import

import sys
import threading
import logging
import time

from sjrpc.core import RpcConnection
from sjrpc.core.protocols import VpnProtocol

logger = logging.getLogger()
logger.setLevel(logging.DEBUG)
fmt = logging.Formatter('%(levelname)s %(name)s %(message)s')
handler = logging.StreamHandler()
handler.setFormatter(fmt)
logger.addHandler(handler)

# Get arguments from the command line:
if len(sys.argv) < 3:
    print 'Usage: %s <listening address> <listening port>' % sys.argv[0]
    sys.exit(2)
address = sys.argv[1]
port = int(sys.argv[2])

# Create the rpc connection:
conn = RpcConnection.from_addr(address, port)

print 'connected.'

# Run the connection mainloop in another thread:
threading.Thread(target=conn.run).start()
time.sleep(0.1)

# Create the tunnel on the remote server:
label = conn.call('launch_vpn')

# Create the vpn on the local side:
conn.register_protocol(label, VpnProtocol, tun_prefix='vpnc')

raw_input('Type enter to quit.')

print 'shutdown'
conn.shutdown()

